## linux 3.2.93

=== debian/changelog ===
linux (3.2.93-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.90
    - Allow stack to grow up to address space limit
    - rxrpc: Fix several cases where a padded len isn't checked in ticket decode
      (CVE-2017-7482)
    - mm: simplify find_vma_prev()
    - mm: fix find_vma_prev
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.91
    - xen: do not re-use pirq number cached in pci device msi msg data
    - usb: dwc3: gadget: make Set Endpoint Configuration macros safe
    - scsi: aacraid: Fix typo in blink status
    - scsi: lpfc: Add shutdown method for kexec
    - USB: serial: io_ti: fix NULL-deref in interrupt callback
    - USB: serial: safe_serial: fix information leak in completion handler
    - dvb-usb: don't use stack for firmware load
    - dvb-usb-firmware: don't do DMA on stack
    - USB: iowarrior: fix NULL-deref in write
    - udp: avoid ufo handling on IP payload compression packets
    - isdn/gigaset: fix NULL-deref at probe
    - net: wimax/i2400m: fix NULL-deref at probe
    - USB: idmouse: fix NULL-deref at probe
    - USB: uss720: fix NULL-deref at probe
    - USB: wusbcore: fix NULL-deref at probe
    - uwb: hwa-rc: fix NULL-deref at probe
    - uwb: i1480-dfu: fix NULL-deref at probe
    - usb-core: Add LINEAR_FRAME_INTR_BINTERVAL USB quirk
    - futex: Fix potential use-after-free in FUTEX_REQUEUE_PI
    - futex: Add missing error handling to FUTEX_REQUEUE_PI
    - sched/loadavg: Avoid loadavg spikes caused by delayed NO_HZ accounting
    - perf/core: Fix event inheritance on fork()
    - mmc: ushc: fix NULL-deref at probe
    - Input: iforce - validate number of endpoints before using them
    - Input: cm109 - validate number of endpoints before using them
    - Input: yealink - validate number of endpoints before using them
    - Input: hanwang - validate number of endpoints before using them
    - Input: kbtab - validate number of endpoints before using them
    - net: ipv6: set route type for anycast routes
    - USB: usbtmc: add missing endpoint sanity check
    - ACM gadget: fix endianness in notifications
    - ALSA: ctxfi: Fix the incorrect check of dma_set_mask() call
    - scsi: libsas: fix ata xfer length
    - ALSA: seq: Fix racy cell insertions during snd_seq_pool_done()
    - net: unix: properly re-increment inflight counter of GC discarded
      candidates
    - bpf: try harder on clones when writing into skb
    - sch_dsmark: fix invalid skb_cow() usage
    - mmc: sdhci: Do not disable interrupts while waiting for clock
    - hwmon: (asus_atk0110) fix uninitialized data access
    - ALSA: seq: Fix race during FIFO resize
    - net: phy: handle state correctly in phy_stop_machine
    - IB/qib: fix false-postive maybe-uninitialized warning
    - netfilter: nf_nat_snmp: Fix panic when snmp_trap_helper fails to register
    - virtio_balloon: init 1st buffer in stats vq
    - virtio_balloon: prevent uninitialized variable use
    - ACPI / APEI: Add missing synchronize_rcu() on NOTIFY_SCI removal
    - ACPI: Fix incompatibility with mcount-based function graph tracing
    - xhci: Manually give back cancelled URB if we can't queue it for cancel
    - ubi/upd: Always flush after prepared for an update
    - mmc: sdhci: Disable runtime pm when the sdio_irq is enabled
    - l2tp: fix race in l2tp_recv_common()
    - l2tp: ensure session can't get removed during pppol2tp_session_ioctl()
    - l2tp: fix duplicate session creation
    - l2tp: take a reference on sessions used in genetlink handlers
    - iscsi-target: Drop work-around for legacy GlobalSAN initiator
    - af_key: Add lock to key dump
    - l2tp: take reference on sessions being dumped
    - xen, fbfront: fix connecting to backend
    - scsi: sr: Sanity check returned mode data
    - scsi: sd: Fix capacity calculation with 32-bit sector_t
    - ptrace: fix PTRACE_LISTEN race corrupting task->state
    - l2tp: don't mask errors in pppol2tp_setsockopt()
    - l2tp: don't mask errors in pppol2tp_getsockopt()
    - [x86] vdso: Plug race between mapping and ELF header setup
    - ALSA: seq: Don't break snd_use_lock_sync() loop by timeout
    - [x86] ftrace: Fix triple fault with graph tracing and suspend-to-ram
    - p9_client_readdir() fix
    - KEYS: Change the name of the dead type to ".dead" to prevent user access
    - ACPI / power: Avoid maybe-uninitialized warning
    - ring-buffer: Have ring_buffer_iter_empty() return true when empty
    - mac80211: reject ToDS broadcast data frames
    - smsc75xx: use skb_cow_head() to deal with cloned skbs
    - cx82310_eth: use skb_cow_head() to deal with cloned skbs
    - [x86] mm/init.c: Fix devmem_is_allowed() off by one
    - [x86] mm: Tighten x86 /dev/mem with zeroing reads (CVE-2017-7889)
    - xen-blkback: don't leak stack data via response ring (CVE-2017-10911)
    - char: lp: fix possible integer overflow in lp_setup() (CVE-2017-1000363)
    - fs/exec.c: account for argv/envp pointers (CVE-2017-1000365)
    - ALSA: timer: Fix race between read and ioctl (CVE-2017-1000380)
    - ALSA: timer: Fix missing queue indices reset at SNDRV_TIMER_IOCTL_SELECT
      (CVE-2017-1000380)
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.92
    - pvrusb2: reduce stack usage pvr2_eeprom_analyze()
    - zd1211rw: fix NULL-deref at probe
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - mceusb: fix NULL-deref at probe
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - cdc-acm: fix possible invalid access when processing notification
    - ath9k_htc: fix NULL-deref at probe
    - gspca: konica: add missing endpoint sanity check
    - usbvision: fix NULL-deref at probe
    - cx231xx: fix double free and leaks on failure path in cx231xx_usb_probe()
    - cx231xx-cards: fix NULL-deref at probe


## linux 3.2.96

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 96
EXTRAVERSION =
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

=== drivers/video/Makefile ===
# Makefile for the Linux video drivers.
# 5 Aug 1999, James Simmons, <mailto:jsimmons@users.sf.net>
# Rewritten to use lists instead of if-statements.

# Each configuration option enables a list of files.

obj-$(CONFIG_VGASTATE)            += vgastate.o
obj-y                             += fb_notify.o
obj-$(CONFIG_FB)                  += fb.o
fb-y                              := fbmem.o fbmon.o fbcmap.o fbsysfs.o \
                                     modedb.o fbcvt.o
fb-objs                           := $(fb-y)

obj-$(CONFIG_VT)		  += console/
obj-$(CONFIG_FB_STI)		  += console/
obj-$(CONFIG_LOGO)		  += logo/
obj-y				  += backlight/ display/

obj-$(CONFIG_FB_CFB_FILLRECT)  += cfbfillrect.o
obj-$(CONFIG_FB_CFB_COPYAREA)  += cfbcopyarea.o
obj-$(CONFIG_FB_CFB_IMAGEBLIT) += cfbimgblt.o
obj-$(CONFIG_FB_SYS_FILLRECT)  += sysfillrect.o
obj-$(CONFIG_FB_SYS_COPYAREA)  += syscopyarea.o
obj-$(CONFIG_FB_SYS_IMAGEBLIT) += sysimgblt.o
obj-$(CONFIG_FB_SYS_FOPS)      += fb_sys_fops.o
obj-$(CONFIG_FB_SVGALIB)       += svgalib.o
obj-$(CONFIG_FB_MACMODES)      += macmodes.o
obj-$(CONFIG_FB_DDC)           += fb_ddc.o
obj-$(CONFIG_FB_DEFERRED_IO)   += fb_defio.o
obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o

# Hardware specific drivers go first
obj-$(CONFIG_FB_AMIGA)            += amifb.o c2p_planar.o
obj-$(CONFIG_FB_ARC)              += arcfb.o
obj-$(CONFIG_FB_CLPS711X)         += clps711xfb.o
obj-$(CONFIG_FB_CYBER2000)        += cyber2000fb.o
obj-$(CONFIG_FB_GRVGA)            += grvga.o
obj-$(CONFIG_FB_PM2)              += pm2fb.o
obj-$(CONFIG_FB_PM3)		  += pm3fb.o

obj-$(CONFIG_FB_MATROX)		  += matrox/
obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
obj-$(CONFIG_FB_RADEON)		  += aty/
obj-$(CONFIG_FB_SIS)		  += sis/
obj-$(CONFIG_FB_VIA)		  += via/
obj-$(CONFIG_FB_KYRO)             += kyro/
obj-$(CONFIG_FB_SAVAGE)		  += savage/
obj-$(CONFIG_FB_GEODE)		  += geode/
obj-$(CONFIG_FB_MBX)		  += mbx/
obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
obj-$(CONFIG_FB_CONTROL)          += controlfb.o
obj-$(CONFIG_FB_PLATINUM)         += platinumfb.o
obj-$(CONFIG_FB_VALKYRIE)         += valkyriefb.o
obj-$(CONFIG_FB_CT65550)          += chipsfb.o
obj-$(CONFIG_FB_IMSTT)            += imsttfb.o
obj-$(CONFIG_FB_FM2)              += fm2fb.o
obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
obj-$(CONFIG_FB_LE80578)          += vermilion/
obj-$(CONFIG_FB_S3)               += s3fb.o
obj-$(CONFIG_FB_ARK)              += arkfb.o
obj-$(CONFIG_FB_STI)              += stifb.o
obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
obj-$(CONFIG_FB_SGIVW)            += sgivwfb.o
obj-$(CONFIG_FB_ACORN)            += acornfb.o
obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                     atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
obj-$(CONFIG_FB_MAC)              += macfb.o
obj-$(CONFIG_FB_HECUBA)           += hecubafb.o
obj-$(CONFIG_FB_N411)             += n411.o
obj-$(CONFIG_FB_HGA)              += hgafb.o
obj-$(CONFIG_FB_XVR500)           += sunxvr500.o
obj-$(CONFIG_FB_XVR2500)          += sunxvr2500.o
obj-$(CONFIG_FB_XVR1000)          += sunxvr1000.o
obj-$(CONFIG_FB_IGA)              += igafb.o
obj-$(CONFIG_FB_APOLLO)           += dnfb.o
obj-$(CONFIG_FB_Q40)              += q40fb.o
obj-$(CONFIG_FB_TGA)              += tgafb.o
obj-$(CONFIG_FB_HP300)            += hpfb.o
obj-$(CONFIG_FB_G364)             += g364fb.o
obj-$(CONFIG_FB_EP93XX)		  += ep93xx-fb.o
obj-$(CONFIG_FB_SA1100)           += sa1100fb.o
obj-$(CONFIG_FB_HIT)              += hitfb.o
obj-$(CONFIG_FB_EPSON1355)	  += epson1355fb.o
obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
obj-$(CONFIG_FB_68328)            += 68328fb.o
obj-$(CONFIG_FB_GBE)              += gbefb.o
obj-$(CONFIG_FB_CIRRUS)		  += cirrusfb.o
obj-$(CONFIG_FB_ASILIANT)	  += asiliantfb.o
obj-$(CONFIG_FB_PXA)		  += pxafb.o
obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
obj-$(CONFIG_FB_W100)		  += w100fb.o
obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
obj-$(CONFIG_FB_WM8505)		  += wm8505fb.o
obj-$(CONFIG_FB_PMAG_AA)	  += pmag-aa-fb.o
obj-$(CONFIG_FB_PMAG_BA)	  += pmag-ba-fb.o
obj-$(CONFIG_FB_PMAGB_B)	  += pmagb-b-fb.o
obj-$(CONFIG_FB_MAXINE)		  += maxinefb.o
obj-$(CONFIG_FB_METRONOME)        += metronomefb.o
obj-$(CONFIG_FB_BROADSHEET)       += broadsheetfb.o
obj-$(CONFIG_FB_S1D13XXX)	  += s1d13xxxfb.o
obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
obj-$(CONFIG_FB_IMX)              += imxfb.o
obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
obj-$(CONFIG_FB_PNX4008_DUM)	  += pnx4008/
obj-$(CONFIG_FB_PNX4008_DUM_RGB)  += pnx4008/
obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
obj-$(CONFIG_FB_PS3)		  += ps3fb.o
obj-$(CONFIG_FB_SM501)            += sm501fb.o
obj-$(CONFIG_FB_UDL)		  += udlfb.o
obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
obj-$(CONFIG_SH_MIPI_DSI)	  += sh_mipi_dsi.o
obj-$(CONFIG_FB_SH_MOBILE_HDMI)	  += sh_mobile_hdmi.o
obj-$(CONFIG_FB_SH_MOBILE_MERAM)  += sh_mobile_meram.o
obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
obj-$(CONFIG_FB_OMAP)             += omap/
obj-y                             += omap2/
obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
obj-$(CONFIG_FB_CARMINE)          += carminefb.o
obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
obj-$(CONFIG_FB_MSM)              += msm/
obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o

# Platform or fallback drivers go here
obj-$(CONFIG_FB_UVESA)            += uvesafb.o
obj-$(CONFIG_FB_VESA)             += vesafb.o
obj-$(CONFIG_FB_EFI)              += efifb.o
obj-$(CONFIG_FB_VGA16)            += vga16fb.o
obj-$(CONFIG_FB_OF)               += offb.o
obj-$(CONFIG_FB_BF537_LQ035)      += bf537-lq035.o
obj-$(CONFIG_FB_BF54X_LQ043)	  += bf54x-lq043fb.o
obj-$(CONFIG_FB_BFIN_LQ035Q1)     += bfin-lq035q1-fb.o
obj-$(CONFIG_FB_BFIN_T350MCQB)	  += bfin-t350mcqb-fb.o
obj-$(CONFIG_FB_BFIN_7393)        += bfin_adv7393fb.o
obj-$(CONFIG_FB_MX3)		  += mx3fb.o
obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
obj-$(CONFIG_FB_MXS)		  += mxsfb.o

# the test framebuffer is last
obj-$(CONFIG_FB_VIRTUAL)          += vfb.o

#video output switch sysfs driver
obj-$(CONFIG_VIDEO_OUTPUT_CONTROL) += output.o

=== debian/changelog ===
linux (3.2.96-3) wheezy-security; urgency=high

  * [amd64] Implement Kernel Page Table Isolation (KPTI, aka KAISER)
    (CVE-2017-5754)
  * Bump ABI to 5 and apply deferred stable changes:
    - Input: i8042 - break load dependency between atkbd/psmouse and i8042
    - Input: i8042 - set up shared ps2_cmd_mutex for AUX ports
    - ACPICA: Utilities: split IO address types from data type models.
    - ALSA: Enable CONFIG_ZONE_DMA for smaller PCI DMA masks
    - libata: Align ata_device's id on a cacheline
    - libata: Ignore spurious PHY event on LPM policy change
    - net/ipv6: add sysctl option accept_ra_min_hop_limit
  * USB: core: prevent malicious bNumInterfaces overflow (CVE-2017-17558)
  * [x86] KVM: Fix stack-out-of-bounds read in write_mmio (CVE-2017-17741)
  * crypto: salsa20 - fix blkcipher_walk API usage (CVE-2017-17805)
  * crypto: hmac - require that the underlying hash algorithm is unkeyed
    (CVE-2017-17806)
  * KEYS: add missing permission check for request_key() destination
    (CVE-2017-17807)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 06 Jan 2018 22:07:04 +0000

linux (3.2.96-2) wheezy-security; urgency=high

  * [!x86] Adjust "mmap: Add an exception to the stack gap for Hotspot JVM
    compatibility" to fix FTBFS

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Dec 2017 04:02:42 +0000

linux (3.2.96-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.94
    - sched/fair, cpumask: Export for_each_cpu_wrap()
    - sched/topology: Fix building of overlapping sched-groups
    - mwifiex: fixup error cases in mwifiex_add_virtual_intf()
    - mceusb: fix memory leaks in error path
    - perf/core: Correct event creation with PERF_FORMAT_GROUP
    - usb: usbip: set buffer pointers to NULL after free
    - usb: Fix typo in the definition of Endpoint[out]Request
    - PCI: Correct PCI_STD_RESOURCE_END usage
    - md: don't use flush_signals in userspace processes
    - udf: Fix races with i_size changes during readpage
    - udf: Fix deadlock between writeback and udf_setsize()
    - xhci: Limit USB2 port wake support for AMD Promontory hosts
    - af_iucv: Move sockaddr length checks to before accessing sa_family in
      bind and connect handlers
    - scsi: bnx2i: missing error code in bnx2i_ep_connect()
    - [x86] PCI: Mark Haswell Power Control Unit as having non-compliant BARs
    - PCI: Work around poweroff & suspend-to-RAM issue on Macbook Pro 11
    - PM / Domains: Fix unsafe iteration over modified list of device links
    - Add USB quirk for HVR-950q to avoid intermittent device resets
    - btrfs: Don't clear SGID when inheriting ACLs
    - PCI/PM: Restore the status of PCI devices across hibernation
    - scsi: ses: do not add a device to an enclosure if enclosure_add_links()
      fails.
    - ipv6: always add flag an address that failed DAD with DADFAILED
    - ipv6: dad: don't remove dynamic addresses if link is down
    - IB/core: Create common start/end port functions
    - IB/core: Add inline function to validate port
    - RDMA/uverbs: Check port number supplied by user verbs cmds
    - tpm: fix a kernel memory leak in tpm-sysfs.c
    - cfg80211: Check if PMKID attribute is of expected size
    - cfg80211: Validate frequencies nested in NL80211_ATTR_SCAN_FREQUENCIES
    - mm/mmap.c: do not blow on PROT_NONE MAP_FIXED holes in the stack
      (Closes: #865416)
    - fs/dcache.c: fix spin lockup issue on nlru->lock
    - Input: i8042 - fix crash at boot time
    - ubifs: Correctly evict xattr inodes
    - ubifs: Don't leak kernel memory to the MTD
    - mm: fix overflow check in expand_upwards()
    - vt: fix unchecked __put_user() in tioclinux ioctls
    - ext2: Don't clear SGID when inheriting ACLs
    - ext2: preserve i_mode if ext2_set_acl() fails
    - ext3: Don't clear SGID when inheriting ACLs
    - ext3: preserve i_mode if ext2_set_acl() fails
    - reiserfs: Don't clear SGID when inheriting ACLs
    - reiserfs: preserve i_mode if __reiserfs_set_acl() fails
    - ext4: preserve i_mode if __ext4_set_acl() fails
    - ext4: Don't clear SGID when inheriting ACLs
    - btrfs: preserve i_mode if __btrfs_set_acl() fails
    - saa7164: fix endian conversion in saa7164_bus_set()
    - saa7164: fix double fetch PCIe access condition (CVE-2017-8831)
    - l2tp: avoid use-after-free caused by l2tp_ip_backlog_recv
    - netfilter: nf_conntrack: fix RCU race in nf_conntrack_find_get
    - [x86] perf: Check if user fp is valid
    - net sched filters: fix notification of filter delete with proper handle
    - sched: add macros to define bitops for task atomic flags
    - cpuset: PF_SPREAD_PAGE and PF_SPREAD_SLAB should be atomic flags
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.95
    - fuse: initialize the flock flag in fuse_file on allocation
    - usb: storage: return on error to avoid a null pointer dereference
    - libata: array underflow in ata_find_dev()
    - mount: copy the port field into the cloned nfs_server structure.
    - [x86] acpi: Prevent out of bound access caused by broken ACPI tables
    - cxgb4: Fix error codes in c4iw_create_cq()
    - IB/cxgb3: Fix error codes in iwch_alloc_mr()
    - RDMA/uverbs: Fix the check for port number
    - RDMA/core: Initialize port_num in qp_attr
    - ipv4: initialize fib_trie prior to register_netdev_notifier call.
    - perf/core: Invert perf_read_group() loops
    - perf/core: Fix locking for children siblings group read
    - IB/ipoib: Prevent setting negative values to max_nonsrq_conn_qp
    - IB/ipoib: Remove double pointer assigning
    - sctp: don't dereference ptr before leaving _sctp_walk_{params, errors}()
    - sctp: fix the check for _sctp_walk_params and _sctp_walk_errors
    - USB: hcd: Mark secondary HCD as dead if the primary one died
    - net/mlx4_en: Fix wrong indication of Wake-on-LAN (WoL) support
    - ocfs2: don't clear SGID when inheriting ACLs


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.7), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, gcc-4.6 [alpha amd64 armel armhf i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], gcc-4.4 [hppa], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa]
Build-Depends-Indep: bzip2, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-5
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-5-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-5-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-5-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-5-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-5-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-5-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-5-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-5
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-5, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.2.0-5-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.2.0-5-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-5-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-5-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-5-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-5-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-5-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-5-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-5-alpha-generic package.

Package: linux-image-3.2.0-5-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-5-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-5-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-5-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-5-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-5-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-5-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-5-alpha-smp package.

Package: linux-image-3.2.0-5-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-5-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-5-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-5-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-5-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-5-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-5-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-5-alpha-legacy package.

Package: linux-headers-3.2.0-5-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-5-amd64 (= ${binary:Version}), linux-headers-3.2.0-5-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: nic-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules
Depends: kernel-image-3.2.0-5-amd64-di, nic-shared-modules-3.2.0-5-amd64-di, core-modules-3.2.0-5-amd64-di, firewire-core-modules-3.2.0-5-amd64-di
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: nic-extra-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-extra-modules
Depends: kernel-image-3.2.0-5-amd64-di, nic-shared-modules-3.2.0-5-amd64-di, core-modules-3.2.0-5-amd64-di, i2c-modules-3.2.0-5-amd64-di, crc-modules-3.2.0-5-amd64-di
Description: Rare NIC drivers
 This package contains rare NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: nic-wireless-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.2.0-5-amd64-di, nic-shared-modules-3.2.0-5-amd64-di, core-modules-3.2.0-5-amd64-di, usb-modules-3.2.0-5-amd64-di, mmc-modules-3.2.0-5-amd64-di, pcmcia-modules-3.2.0-5-amd64-di, crc-modules-3.2.0-5-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP).
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: nic-shared-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.2.0-5-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: serial-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.2.0-5-amd64-di, pcmcia-modules-3.2.0-5-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-5-amd64

Package: usb-serial-modules-3.2.0-5-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.2.0-5-amd64-di, usb-modules-3.2.0-5-amd64-di
Description: USB serial drivers
